From 2b5d0c2dbacbec195f4058059fdb3faa09bfd873 Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Jul 14 2016 14:40:39 +0000
Subject: [PATCH 539/1001] JSX style rules from Airbnb style guide


---

diff --git a/hubs/static/client/app/components/Feed.jsx b/hubs/static/client/app/components/Feed.jsx
index 55ddfdb..1f208aa 100644
--- a/hubs/static/client/app/components/Feed.jsx
+++ b/hubs/static/client/app/components/Feed.jsx
@@ -1,65 +1,48 @@
 import React from 'react';
-import {render} from 'react-dom';
+import { render } from 'react-dom';
 
+import Panel from './Panel.jsx';
 
-import Constituent from './Constituent.jsx';
-import ExpandCollapse from './ExpandCollapse.jsx';
-import Icon from './Icon.jsx';
-import Markup from './Markup.jsx';
-import {Message, MessageList} from './Messages.jsx';
-
-const FEED_MESSAGE_LIMIT = 10;
-
-class Panel extends React.Component {
-  render() {
-    return (
-      <div className="panel panel-default panel-visible">
-        <div className="panel-body">
-          <Icon match={this.props.match} />
-          <Markup match={this.props.match} />
-        </div>
-      </div>
-    );
-  }
-}
+const FEED_MESSAGE_LIMIT = 20;
 
 export default class Feed extends React.Component {
-  constructor (props) {
+  constructor(props) {
     super(props);
     this.state = {
       matches: this.props.matches,
+      messageLimit: FEED_MESSAGE_LIMIT,
       sse: true,
-    }
+    };
     this.source = (!!window.EventSource) ? new EventSource(this.props.url) : {};
     this.source.addEventListener('error', () => {
       this.state.sse = false;
     }, false);
     window.onbeforeunload = () => {
       this.source.close();
-    }
+    };
     this.source.onmessage = resp => {
       const data = JSON.parse(resp.data);
-      if(this.state.matches.length >= FEED_MESSAGE_LIMIT) {
-        this.state.matches.pop()
+      if (this.state.matches.length >= this.state.messageLimit) {
+        this.state.matches.pop();
       }
       this.state.matches.unshift(data);
-      this.setState({matches: this.state.matches});
+      this.setState({ matches: this.state.matches });
     };
   }
   render() {
     const feedNodes = this.state.matches.map(match => {
-      return <Panel match={match} />
+      return <Panel match={match} />;
     });
     return (
       <div className="card">
         <div className="card-header">
           Live Feed
         </div>
-      <div className="card-block">
-        {feedNodes}
-      </div>
+        <div className="card-block">
+          {feedNodes}
+        </div>
       </div>
-    )
+    );
   }
 }
 
diff --git a/hubs/static/client/app/components/Icon.jsx b/hubs/static/client/app/components/Icon.jsx
index 70c2d8c..08c8d60 100644
--- a/hubs/static/client/app/components/Icon.jsx
+++ b/hubs/static/client/app/components/Icon.jsx
@@ -1,15 +1,19 @@
 import React from 'react';
 
-export default class Icon extends React.Component {
-  render() {
-    return (
-      <div>
-        <div className="media-left">
-          <a href={this.props.match['link'] ? this.props.match['link'] : '#'} target="_blank">
-            <img className="media-object square-32 img-circle" src={this.props.match['secondary_icon']} />
-          </a>
-        </div>
+const Icon = function (props) {
+  return (
+    <div>
+      <div className="media-left">
+        <a href={props.match.link ? props.match.link : '#'} target="_blank">
+          <img
+            alt="User avatar"
+            className="media-object square-32 img-circle"
+            src={props.match.secondary_icon}
+          />
+        </a>
       </div>
-    )
-  }
-}
+    </div>
+  );
+};
+
+export default Icon;
diff --git a/hubs/static/client/app/components/Markup.jsx b/hubs/static/client/app/components/Markup.jsx
index 952fe06..768a81b 100644
--- a/hubs/static/client/app/components/Markup.jsx
+++ b/hubs/static/client/app/components/Markup.jsx
@@ -2,16 +2,19 @@ import React from 'react';
 
 export default class Markup extends React.Component {
   createMarkup() {
-    return {__html: this.props.match['markup']};
+    return { __html: this.props.match.markup };
   }
   render() {
+    debugger;
     return (
       <div className="media-body">
-        <h4 className="media-heading"
-            dangerouslySetInnerHTML={this.createMarkup()}
-        ></h4>
-        {this.props.match['human_time']}
+        <h4
+          className="media-heading"
+          dangerouslySetInnerHTML={this.createMarkup()}
+        >
+        </h4>
+        {this.props.match.human_time}
       </div>
-    )
+    );
   }
 }
diff --git a/hubs/static/client/app/components/Panel.jsx b/hubs/static/client/app/components/Panel.jsx
new file mode 100644
index 0000000..61e8242
--- /dev/null
+++ b/hubs/static/client/app/components/Panel.jsx
@@ -0,0 +1,17 @@
+import React from 'react';
+
+import Icon from './Icon.jsx';
+import Markup from './Markup.jsx';
+
+const Panel = function (props) {
+  return (
+    <div className="panel panel-default panel-visible">
+      <div className="panel-body">
+        <Icon match={props.match} />
+        <Markup match={props.match} />
+      </div>
+    </div>
+  );
+};
+
+export default Panel;
